#ifndef TESTRGBPIXEL_H_
#define TESTRGBPIXEL_H_

#include <cxxtest/TestSuite.h>

#include "RGBPixel.h"

class TestRGBPixel : public CxxTest::TestSuite
{
public:
	void testRGBPixel() {
		RGBPixel pix1(12,24,36);
		TS_ASSERT_EQUALS(pix1.R, 12);
		TS_ASSERT_EQUALS(pix1.G, 24);
		TS_ASSERT_EQUALS(pix1.B, 36);
	}

	void testOperator_equals() {
		RGBPixel pix1(24, 36, 48);
		RGBPixel pix2(24, 36, 48);
		TS_ASSERT(pix1 == pix2);
		RGBPixel pix3(25, 37, 49);
		bool result = (pix1 == pix3);
		TS_ASSERT(result == false);
	}

	void testOperator_diff() {
		RGBPixel pix1(24, 36, 48);
		RGBPixel pix2(25, 37, 49);
		TS_ASSERT(pix1 != pix2);
		RGBPixel pix3(24, 36, 48);
		bool result = (pix1 != pix3);
		TS_ASSERT(result == false);
	}

};

#endif /*TESTRGBPIXEL_H_*/
